package crawler

import (
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	activedirectoryH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/activedirectory"
	cassandraH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/cassandra"
	dnsH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/dns"
	ftpH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/ftp"
	httpH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/http"
	imapH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/imap"
	ldapH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/ldap"
	mongodbH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/mongodb"
	mysqlH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/mysql"
	netbiosH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/netbios"
	oracleH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/oracle"
	popH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/pop"
	postgresqlH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/postgresql"
	redisH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/redis"
	rmiH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/rmi"
	smbH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/smb"
	smtpH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/smtp"
	snmpV2H "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/snmp/v2"
	snmpV3H "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/snmp/v3"
	sqlserverH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/sqlserver"
	sshH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/ssh"
	telnetH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/telnet"
	wmiH "git.loafle.net/overflow/overflow_probe_container_network/crawler/health/wmi"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/ssh"
)

var crawlers map[string]oopcc.Crawler

func init() {
	crawlers = make(map[string]oopcc.Crawler, 0)

	addCrawler(activedirectoryH.NewCrawler())
	addCrawler(cassandraH.NewCrawler())
	addCrawler(dnsH.NewCrawler())
	addCrawler(ftpH.NewCrawler())
	addCrawler(httpH.NewCrawler())
	addCrawler(imapH.NewCrawler())
	addCrawler(ldapH.NewCrawler())
	addCrawler(mongodbH.NewCrawler())
	addCrawler(mysqlH.NewCrawler())
	addCrawler(netbiosH.NewCrawler())
	addCrawler(oracleH.NewCrawler())
	addCrawler(popH.NewCrawler())
	addCrawler(postgresqlH.NewCrawler())
	addCrawler(redisH.NewCrawler())
	addCrawler(rmiH.NewCrawler())
	addCrawler(smbH.NewCrawler())
	addCrawler(smtpH.NewCrawler())
	addCrawler(snmpV2H.NewCrawler())
	addCrawler(snmpV3H.NewCrawler())
	addCrawler(sqlserverH.NewCrawler())
	addCrawler(sshH.NewCrawler())
	addCrawler(telnetH.NewCrawler())
	addCrawler(wmiH.NewCrawler())
	addCrawler(ssh.NewCrawler())
}

func addCrawler(c oopcc.Crawler) {
	crawlers[c.Name()] = c
}

func GetCrawlers() map[string]oopcc.Crawler {
	return crawlers
}
