package dns

import (
	cnsmd "git.loafle.net/commons_go/network_service_matcher/dns"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type DNSHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *DNSHealthCrawler) Name() string {
	return "DNS_HEALTH_CRAWLER"
}

func (c *DNSHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &DNSHealthCrawler{}
	c.SetMatcher(cnsmd.NewMatcher())
	return c
}
