package ftp

import (
	"encoding/json"
	"testing"

	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	"github.com/stretchr/testify/assert"
)

func TestMatch(t *testing.T) {
	config := &sensorConfigM.SensorConfig{}
	config.Target = &sensorConfigM.Target{}
	config.Target.Connection = &sensorConfigM.Connection{
		IP:       "192.168.1.215",
		Port:     json.Number(21),
		PortType: "tcp",
		SSL:      false,
	}

	c := NewCrawler()

	rss, err := c.Get(config)

	assert.Nil(t, err)
	assert.NotNil(t, rss)
}
