package imap

import (
	cnsmi "git.loafle.net/commons_go/network_service_matcher/imap"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type IMAPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *IMAPHealthCrawler) Name() string {
	return "IMAP_HEALTH_CRAWLER"
}

func (c *IMAPHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &IMAPHealthCrawler{}
	c.SetMatcher(cnsmi.NewMatcher())
	return c
}
