package ldap

import (
	cnsml "git.loafle.net/commons_go/network_service_matcher/ldap"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type LDAPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *LDAPHealthCrawler) Name() string {
	return "LDAP_HEALTH_CRAWLER"
}

func (c *LDAPHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &LDAPHealthCrawler{}
	c.SetMatcher(cnsml.NewMatcher())
	return c
}
