package oracle

import (
	cnsmo "git.loafle.net/commons_go/network_service_matcher/oracle"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type OracleHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *OracleHealthCrawler) Name() string {
	return "ORACLE_HEALTH_CRAWLER"
}

func (c *OracleHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &OracleHealthCrawler{}
	c.SetMatcher(cnsmo.NewMatcher())
	return c
}
