package postgresql

import (
	cnsmp "git.loafle.net/commons_go/network_service_matcher/postgresql"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type PostgreSQLHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *PostgreSQLHealthCrawler) Name() string {
	return "POSTGRESQL_HEALTH_CRAWLER"
}

func (c *PostgreSQLHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &PostgreSQLHealthCrawler{}
	c.SetMatcher(cnsmp.NewMatcher())
	return c
}
