package sqlserver

import (
	cnsms "git.loafle.net/commons_go/network_service_matcher/sqlserver"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type SQLServerHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *SQLServerHealthCrawler) Name() string {
	return "SQLSERVER_HEALTH_CRAWLER"
}

func (c *SQLServerHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &SQLServerHealthCrawler{}
	c.SetMatcher(cnsms.NewMatcher())
	return c
}
