package ssh

import (
	cnsms "git.loafle.net/commons_go/network_service_matcher/ssh"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type SSHHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *SSHHealthCrawler) Name() string {
	return "SSH_HEALTH_CRAWLER"
}

func (c *SSHHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &SSHHealthCrawler{}
	c.SetMatcher(cnsms.NewMatcher())
	return c
}
