package ssh

import (
	"encoding/json"
	"io/ioutil"
	"log"
	"testing"

	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	"github.com/stretchr/testify/assert"
)

func TestMatch(t *testing.T) {
	config := &sensorConfigM.SensorConfig{}
	data, err := ioutil.ReadFile("./SSHCrawler_test.json")
	if err != nil {
		log.Fatal(err)
	}
	err = json.Unmarshal(data, config)
	if err != nil {
		log.Fatal(err)
	}

	c := NewCrawler().(*SSHCrawler)

	rss, err := c.Get(config)

	assert.Nil(t, err)
	assert.NotNil(t, rss)
}
